- revert to BR/R: poldek 0.30-0.20080820.23.20
[packages/PackageKit.git] / PackageKit.spec
1 # TODO:
2 # - BASH command-not-found functionality disabled for now as it needs patched bash
3 #   (details in bash from Fedora Rawhide)
4 # - package browser plugin
5 #
6 # Conditional build:
7 %bcond_without  qt      # don't build packagekit-qt library
8 %bcond_without  docs    # build without docs
9 #
10 Summary:        System daemon that is a D-Bus abstraction layer for package management
11 Summary(pl.UTF-8):      Demon systemowy będący warstwą abstrakcji D-Bus do zarządzania pakietami
12 Name:           PackageKit
13 Version:        0.5.3
14 Release:        1
15 License:        GPL v2+
16 Group:          Applications/System
17 Source0:        http://www.packagekit.org/releases/%{name}-%{version}.tar.bz2
18 # Source0-md5:  0f4aeac4abfa939d219b33d3ac4d5ccf
19 Patch1:         %{name}-PLD.patch
20 URL:            http://www.packagekit.org/
21 BuildRequires:  NetworkManager-devel >= 0.6.5
22 %if %{with qt}
23 BuildRequires:  QtCore-devel >= 4.4.0
24 BuildRequires:  QtDBus-devel >= 4.4.0
25 BuildRequires:  QtGui-devel >= 4.4.0
26 BuildRequires:  QtSql-devel >= 4.4.0
27 BuildRequires:  QtXml-devel >= 4.4.0
28 %endif
29 BuildRequires:  autoconf >= 2.52
30 BuildRequires:  automake
31 %{?with_qt:BuildRequires:       cppunit-devel}
32 BuildRequires:  dbus-devel >= 1.2.0
33 BuildRequires:  dbus-glib-devel >= 0.76
34 %{?with_docs:BuildRequires:     docbook-to-man}
35 BuildRequires:  gettext-devel
36 BuildRequires:  glib2-devel >= 1:2.16.1
37 BuildRequires:  gstreamer-plugins-base-devel
38 BuildRequires:  gtk+2-devel >= 2:2.14.0
39 %{?with_docs:BuildRequires:     gtk-doc >= 1.9}
40 BuildRequires:  intltool >= 0.35.0
41 BuildRequires:  libarchive-devel
42 BuildRequires:  libtool
43 BuildRequires:  pkgconfig
44 BuildRequires:  poldek-devel >= 0.30-0.20080820.23.20
45 BuildRequires:  polkit-devel
46 BuildRequires:  python-devel
47 BuildRequires:  readline-devel
48 %{?with_qt:BuildRequires:       qt4-build >= 4.4.0}
49 BuildRequires:  rpm-pythonprov
50 BuildRequires:  rpmbuild(macros) >= 1.311
51 BuildRequires:  sqlite3-devel
52 BuildRequires:  xulrunner-devel
53 Requires(post,postun):  shared-mime-info
54 Requires:       %{name}-libs = %{version}-%{release}
55 Requires:       PolicyKit >= 0.8
56 Requires:       crondaemon
57 Requires:       poldek >= 0.30-0.20080820.23.20
58 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
59
60 %description
61 PackageKit is a D-Bus abstraction layer that allows the session user
62 to manage packages in a secure way using a cross-distro,
63 cross-architecture API.
64
65 %description -l pl.UTF-8
66 PackageKit to warstwa abstrakcji D-Bus pozwalająca użytkownikowi
67 sesyjnemu w bezpieczny sposob zarządzać pakietami przy użyciu API
68 zgodnego z wieloma dystrybucjami i architekturami.
69
70 %package libs
71 Summary:        packagekit-glib library
72 Summary(pl.UTF-8):      Biblioteka packagekit-glib
73 Group:          Libraries
74
75 %description libs
76 packagekit-glib library.
77
78 %description libs -l pl.UTF-8
79 Biblioteka packagekit-glib.
80
81 %package devel
82 Summary:        Header files for packagekit-glib library
83 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki packagekit-glib
84 Group:          Development/Libraries
85 Requires:       %{name}-libs = %{version}-%{release}
86 Requires:       glib2-devel >= 1:2.16.1
87
88 %description devel
89 Header files for packagekit-glib library.
90
91 %description devel -l pl.UTF-8
92 Pliki nagłówkowe biblioteki packagekit-glib.
93
94 %package static
95 Summary:        Static packagekit-glib library
96 Summary(pl.UTF-8):      Statyczna biblioteka packagekit-glib
97 Group:          Development/Libraries
98 Requires:       %{name}-devel = %{version}-%{release}
99
100 %description static
101 Static packagekit-glib library.
102
103 %description static -l pl.UTF-8
104 Statyczna biblioteka packagekit-glib.
105
106 %package qt
107 Summary:        packagekit-qt library
108 Summary(pl.UTF-8):      Biblioteka packagekit-qt
109 Group:          Libraries
110 Obsoletes:      qpackagekit
111
112 %description qt
113 packagekit-qt library.
114
115 %description qt -l pl.UTF-8
116 Biblioteka packagekit-qt.
117
118 %package qt-devel
119 Summary:        Header files for packagekit-qt library
120 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki packagekit-qt
121 Group:          Development/Libraries
122 Requires:       %{name}-qt = %{version}-%{release}
123 Requires:       QtCore-devel >= 4.4.0
124 Requires:       QtDBus-devel >= 4.4.0
125 Requires:       QtGui-devel >= 4.4.0
126 Requires:       QtSql-devel >= 4.4.0
127 Requires:       QtXml-devel >= 4.4.0
128 Obsoletes:      qpackagekit-devel
129
130 %description qt-devel
131 Header files for packagekit-qt library.
132
133 %description qt-devel -l pl.UTF-8
134 Pliki nagłówkowe biblioteki packagekit-qt.
135
136 %package qt-static
137 Summary:        Static packagekit-qt library
138 Summary(pl.UTF-8):      Statyczna biblioteka packagekit-qt
139 Group:          Development/Libraries
140 Requires:       %{name}-qt-devel = %{version}-%{release}
141
142 %description qt-static
143 Static packagekit-qt library.
144
145 %description qt-static -l pl.UTF-8
146 Statyczna biblioteka packagekit-qt.
147
148 %package apidocs
149 Summary:        PackageKit library API documentation
150 Summary(pl.UTF-8):      Dokumentacja API biblioteki PackageKit
151 Group:          Documentation
152 Requires:       gtk-doc-common
153
154 %description apidocs
155 PackageKit library API documentation.
156
157 %description apidocs -l pl.UTF-8
158 Dokumentacja API biblioteki PackageKit.
159
160 %package docs
161 Summary:        PackageKit documentation
162 Summary(pl.UTF-8):      Dokumentacja PackageKit
163 Group:          Documentation
164
165 %description docs
166 PackageKit documentation.
167
168 %description docs -l pl.UTF-8
169 Dokumentacja PackageKit.
170
171 %package gstreamer-plugin
172 Summary:        GStreamer codecs installer
173 Summary(pl.UTF-8):      Instalator kodeków GStreamera
174 Group:          Applications
175 Requires:       %{name} = %{version}-%{release}
176 Requires:       %{name}-gtk-module = %{version}-%{release}
177
178 %description gstreamer-plugin
179 The PackageKit GStreamer plugin allows any GStreamer application to
180 install codecs from configured repositories using PackageKit.
181
182 %description gstreamer-plugin -l pl.UTF-8
183 Wtyczka GStreamer pozwala każdej aplikacji używającej GStreamera
184 zainstalować kodeki ze skonfigurowanych źródeł PackageKit.
185
186 %package gtk-module
187 Summary:        GTK+ module to detect and install missing fonts
188 Summary(pl.UTF-8):      Moduł GTK+ do wykrywania i instalowania brakujących czcionek
189 Group:          X11/Libraries
190
191 %description gtk-module
192 The PackageKit GTK+ module allows any pango application to install
193 missing fonts from configured repositories using PackageKit.
194
195 %description gtk-module -l pl.UTF-8
196 Moduł GTK+ pozwala każdej aplikacji używającej pango zainstalować
197 brakującą czcionkę ze skonfigurowanych źródeł PackageKit.
198
199 %package -n bash-completion-packagekit
200 Summary:        bash-completion for PackageKit
201 Summary(pl.UTF-8):      bashowe uzupełnianie nazw dla PackageKit
202 Group:          Applications/Shells
203 Requires:       bash-completion
204
205 %description -n bash-completion-packagekit
206 This package provides bash-completion for PackageKit.
207
208 %description -n bash-completion-packagekit -l pl.UTF-8
209 Pakiet ten dostarcza bashowe uzupełnianie nazw dla PackageKit.
210
211 %package -n pm-utils-packagekit
212 Summary:        PackageKit script for pm-utils
213 Summary(pl.UTF-8):      Skrypt PackageKit dla pm-utils
214 Group:          Applications/System
215 Requires:       pm-utils
216
217 %description -n pm-utils-packagekit
218 PackageKit script for pm-utils.
219
220 %description -n pm-utils-packagekit -l pl.UTF-8
221 Skrypt PackageKit dla pm-utils.
222
223 %package -n python-packagekit
224 Summary:        PackageKit Python bindings
225 Summary(pl.UTF-8):      Wiązania PackageKit dla Pythona
226 Group:          Development/Languages/Python
227 Requires:       python-dbus
228 Requires:       python-pygobject
229
230 %description -n python-packagekit
231 PackageKit Python bindings.
232
233 %description -n python-packagekit
234 Wiązania PackageKit dla Pythona.
235
236 %prep
237 %setup -q
238 %patch1 -p1
239 mkdir m4
240
241 %build
242 %if %{with docs}
243 %{__gtkdocize}
244 %endif
245 %{__intltoolize}
246 %{__libtoolize}
247 %{__aclocal} -I m4
248 %{__autoconf}
249 %{__autoheader}
250 %{__automake}
251 %configure \
252         --disable-dummy \
253         --disable-ruck \
254         --disable-command-not-found \
255         --enable-poldek \
256         --%{!?with_docs:dis}%{?with_docs:en}able-gtk-doc \
257         --%{?with_qt:en}%{!?with_qt:dis}able-qt \
258         --with-html-dir=%{_gtkdocdir} \
259         --with-default-backend=poldek
260 %{__make}
261
262 %install
263 rm -rf $RPM_BUILD_ROOT
264
265 %{__make} install \
266         DESTDIR=$RPM_BUILD_ROOT
267
268 # use pk-gstreamer-install as codec installer
269 ln -s pk-gstreamer-install $RPM_BUILD_ROOT%{_libdir}/gst-install-plugins-helper
270
271 rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{la,a}
272 rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{la,a}
273 rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.{la,a}
274 rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/libpk_backend_test_*.so
275 rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.{la,a}
276 rm -f $RPM_BUILD_ROOT%{_libdir}/PackageKitDbusTest.py
277 rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit{Apt,Test}Backend.conf
278 rm -f $RPM_BUILD_ROOT%{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit{Apt,Test}Backend.service
279 rm -rf $RPM_BUILD_ROOT%{_datadir}/PackageKit/helpers/test_spawn
280
281 %py_postclean
282
283 %find_lang %{name}
284
285 %clean
286 rm -rf $RPM_BUILD_ROOT
287
288 %post
289 %update_mime_database
290
291 %postun
292 %update_mime_database
293
294 %post   libs -p /sbin/ldconfig
295 %postun libs -p /sbin/ldconfig
296
297 %post   qt -p /sbin/ldconfig
298 %postun qt -p /sbin/ldconfig
299
300 %files -f %{name}.lang
301 %defattr(644,root,root,755)
302 %doc AUTHORS ChangeLog HACKING NEWS README TODO
303 %attr(755,root,root) %{_bindir}/packagekit-bugreport.sh
304 %attr(755,root,root) %{_bindir}/pkcon
305 %attr(755,root,root) %{_bindir}/pkgenpack
306 %attr(755,root,root) %{_bindir}/pkmon
307 %attr(755,root,root) %{_bindir}/pk-debuginfo-install
308 %attr(750,root,root) /etc/cron.daily/packagekit-background.cron
309 %dir %{_libdir}/packagekit-backend
310 %attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_poldek.so
311 %attr(755,root,root) %{_libdir}/polkit-1/extensions/libpackagekit-action-lookup.so
312 %attr(755,root,root) %{_sbindir}/packagekitd
313 #%attr(755,root,root) %{_sbindir}/pk-device-rebind
314 %dir %{_sysconfdir}/PackageKit
315 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/PackageKit.conf
316 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/Vendor.conf
317 %attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/packagekit-background
318 /etc/dbus-1/system.d/org.freedesktop.PackageKit.conf
319 %dir %{_datadir}/PackageKit
320 %attr(755,root,root) %{_datadir}/PackageKit/pk-upgrade-distro.sh
321 %{_datadir}/polkit-1/actions/org.freedesktop.packagekit.policy
322 %{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit.service
323 %{_datadir}/mime/packages/packagekit-catalog.xml
324 %{_datadir}/mime/packages/packagekit-package-list.xml
325 %{_datadir}/mime/packages/packagekit-servicepack.xml
326 %{_mandir}/man1/pkcon.1*
327 %{_mandir}/man1/pk-debuginfo-install.1*
328 #%{_mandir}/man1/pk-device-rebind.1*
329 %{_mandir}/man1/pkgenpack.1*
330 %{_mandir}/man1/pkmon.1*
331 %dir /var/cache/PackageKit
332 %dir /var/cache/PackageKit/downloads
333 %dir /var/lib/PackageKit
334 %ghost /var/lib/PackageKit/transactions.db
335
336 %files libs
337 %defattr(644,root,root,755)
338 %attr(755,root,root) %{_libdir}/libpackagekit-glib.so.*.*.*
339 %attr(755,root,root) %ghost %{_libdir}/libpackagekit-glib.so.12
340 %attr(755,root,root) %{_libdir}/libpackagekit-glib2.so.*.*.*
341 %attr(755,root,root) %ghost %{_libdir}/libpackagekit-glib2.so.12
342
343 %files devel
344 %defattr(644,root,root,755)
345 %attr(755,root,root) %{_libdir}/libpackagekit-glib.so
346 %attr(755,root,root) %{_libdir}/libpackagekit-glib2.so
347 %{_libdir}/libpackagekit-glib.la
348 %{_libdir}/libpackagekit-glib2.la
349 %{_pkgconfigdir}/packagekit-glib.pc
350 %{_pkgconfigdir}/packagekit-glib2.pc
351 %dir %{_includedir}/PackageKit
352 %{_includedir}/PackageKit/backend
353 %{_includedir}/PackageKit/packagekit-glib
354 %{_includedir}/PackageKit/packagekit-glib2
355
356 %files static
357 %defattr(644,root,root,755)
358 %{_libdir}/libpackagekit-glib.a
359 %{_libdir}/libpackagekit-glib2.a
360
361 %if %{with qt}
362 %files qt
363 %defattr(644,root,root,755)
364 %attr(755,root,root) %{_libdir}/libpackagekit-qt.so.*.*.*
365 %attr(755,root,root) %ghost %{_libdir}/libpackagekit-qt.so.12
366
367 %files qt-devel
368 %defattr(644,root,root,755)
369 %attr(755,root,root) %{_libdir}/libpackagekit-qt.so
370 %{_libdir}/libpackagekit-qt.la
371 %{_pkgconfigdir}/packagekit-qt.pc
372 %{_includedir}/PackageKit/packagekit-qt
373 %{_datadir}/cmake/Modules/FindQPackageKit.cmake
374
375 %files qt-static
376 %defattr(644,root,root,755)
377 %{_libdir}/libpackagekit-qt.a
378 %endif
379
380 %files apidocs
381 %defattr(644,root,root,755)
382 %{_gtkdocdir}/PackageKit
383
384 %files docs
385 %defattr(644,root,root,755)
386 %{_datadir}/PackageKit/website
387
388 %files gstreamer-plugin
389 %defattr(644,root,root,755)
390 %doc contrib/gstreamer-plugin/README
391 %attr(755,root,root) %{_libdir}/gst-install-plugins-helper
392 %attr(755,root,root) %{_libdir}/pk-gstreamer-install
393
394 %files gtk-module
395 %defattr(644,root,root,755)
396 %doc contrib/gtk-module/{GLASS.txt,README}
397 %attr(755,root,root) %{_libdir}/gtk-2.0/modules/libpk-gtk-module.so
398
399 %files -n bash-completion-packagekit
400 %defattr(644,root,root,755)
401 %{_sysconfdir}/bash_completion.d/pk-completion.bash
402
403 %files -n pm-utils-packagekit
404 %defattr(644,root,root,755)
405 %attr(755,root,root) %{_libdir}/pm-utils/sleep.d/95packagekit
406
407 %files -n python-packagekit
408 %defattr(644,root,root,755)
409 %dir %{py_sitescriptdir}/packagekit
410 %{py_sitescriptdir}/packagekit/*.py[co]
This page took 0.071681 seconds and 3 git commands to generate.